Skip to main content
PATCH
/
teams
/
{team_id}
Update team
curl --request PATCH \
  --url {schemes}://api.upsun.com/teams/{team_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "label": "<string>",
  "project_permissions": [
    "<string>"
  ]
}
'
{
  "id": "<string>",
  "organization_id": "<string>",
  "label": "<string>",
  "project_permissions": [
    "admin"
  ],
  "counts": {
    "member_count": 123,
    "project_count": 123
  },
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Path Parameters

team_id
string
required

The ID of the team.

Body

application/json
label
string

The human-readable label of the team.

project_permissions
string[]

Project permissions that are granted to the team.

Response

OK

id
string<ulid>

The ID of the team.

organization_id
string<ulid>

The ID of the parent organization.

label
string

The human-readable label of the team.

project_permissions
enum<string>[]

Project permissions that are granted to the team.

Available options:
admin,
viewer,
development:admin,
development:contributor,
development:viewer,
staging:admin,
staging:contributor,
staging:viewer,
production:admin,
production:contributor,
production:viewer
counts
object
created_at
string<date-time>

The date and time when the team was created.

updated_at
string<date-time>

The date and time when the team was last updated.